<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ejericio 15-2</title>
</head>
<body onload="mostrar()">
    <div id="imagen1"></div>
    <div id="imagen2"></div>
    
    <Script>
/*
Dado un array de 5 nombres de imágenes mostrar una imagen aleatoria cada vez que se ingresa a la página.
Basado en el ejercicio 1. Mostrar dos imágenes aleatorias del array (tienen que ser diferentes imágenes)
*/
function mostrar(){
var imagenes = ["https://via.placeholder.com/150/0000FF/808080","https://via.placeholder.com/150/FF0000/FFFFFF",
" https://via.placeholder.com/150/FFFF00/000000", "https://via.placeholder.com/150/000000/FFFFFF/","https://via.placeholder.com/150/008000/"]
    var i = Math.floor(Math.random() * (imagenes.length)); 
    //console.log(imagenes.length);
    //console.log(i);
    console.log(imagenes[i]);    
    do{
    var i2 = Math.floor(Math.random() * (imagenes.length)); 
    console.log(imagenes[i2]);
    }while(i==i2)
    document.querySelector("#imagen1").innerHTML= "<img src ="+imagenes[i]+">"
    document.querySelector("#imagen2").innerHTML= "<img src ="+imagenes[i2]+">"
}
    </Script>
</body>
</html>